Vulnerability Name:

CVE-2013-5914

Assigned:2013-09-19
Published:2013-10-26
Updated:2013-10-28
Summary:Buffer overflow in the ssl_read_record function in ssl_tls.c in PolarSSL before 1.1.8, when using TLS 1.1, might allow remote attackers to execute arbitrary code via a long packet.
CVSS v3 Severity:5.6 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:6.8 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P)
5.0 Medium (Temporal CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
6.8 Medium (CCN CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P)
5.0 Medium (CCN Temporal CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-119
References:Source: DEBIAN
Type: UNKNOWN
DSA-2782

Source: XF
Type: UNKNOWN
polarssl-cve20135914-bo(88341)

Source: CONFIRM
Type: VENDOR_ADVISORY
https://polarssl.org/tech-updates/security-advisories/polarssl-security-advisory-2013-04

Vulnerable Configuration:Configuration 1:
  • cpe:/a:polarssl:polarssl:1.1.7:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.6:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.5:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.4:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.3:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.2:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.1:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.0:rc1:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.0:rc0:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:polarssl:polarssl:1.0.0:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.mitre.oval:def:20009
    P
    DSA-2782-1 polarssl - several
    2014-06-23
    oval:com.ubuntu.precise:def:20135914000
    V
    CVE-2013-5914 on Ubuntu 12.04 LTS (precise) - medium.
    2013-10-26
    oval:com.ubuntu.trusty:def:20135914000
    V
    CVE-2013-5914 on Ubuntu 14.04 LTS (trusty) - medium.
    2013-10-26
    oval:com.ubuntu.xenial:def:20135914000
    V
    CVE-2013-5914 on Ubuntu 16.04 LTS (xenial) - medium.
    2013-10-26
    BACK
    polarssl polarssl 1.1.7
    polarssl polarssl 1.1.6
    polarssl polarssl 1.1.5
    polarssl polarssl 1.1.4
    polarssl polarssl 1.1.3
    polarssl polarssl 1.1.2
    polarssl polarssl 1.1.1
    polarssl polarssl 1.1.0 rc1
    polarssl polarssl 1.1.0 rc0
    polarssl polarssl 1.1.0
    polarssl polarssl 1.0.0